/* © 2024 Appstock */

/*   Copyright 2018-2021 Prebid.org, Inc.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

/*
 CHANGE NOTICE: The file content was modified to rebrand the work, adapt the product for the new use case, and change the distribution license.
 The patch to the original code is available in the Stock repository.
 All changes after applying the patch are made under the new license and copyrights mentioned at the beginning of this file.
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@protocol STKLocationManagerProtocol;
@protocol STKNSThreadProtocol;

@interface STKLocationManager: NSObject

@property (class, readonly, nonnull) STKLocationManager *shared;

@property (assign, readonly) CLLocationCoordinate2D coordinates;
@property (assign, readonly) CLLocationAccuracy horizontalAccuracy;
@property (nonatomic, readonly, nullable, copy) NSDate *timestamp;
@property (assign, readonly) BOOL coordinatesAreValid;
@property (nonatomic, assign) BOOL locationUpdatesEnabled;

#pragma mark - DI
- (nonnull instancetype)init NS_UNAVAILABLE;
- (nonnull instancetype)initWithThread:(nonnull id<STKNSThreadProtocol>)thread;
- (nonnull instancetype)initWithLocationManager:(nonnull id<STKLocationManagerProtocol>)locationManager;

@end
